# Uses of Class
com.usatiuk.dhfs.repository.PingReply

Packages that use PingReply
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of PingReply in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return PingReply
Modifier and Type
Method
Description
`PingReply`
PingReply.Builder.`build()`
`PingReply`
PingReply.Builder.`buildPartial()`
`static PingReply`
PingReply.`getDefaultInstance()`
`PingReply`
PingReply.Builder.`getDefaultInstanceForType()`
`PingReply`
PingReply.`getDefaultInstanceForType()`
`static PingReply`
PingReply.`parseDelimitedFrom(InputStream input)`
`static PingReply`
PingReply.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingReply`
PingReply.`parseFrom(byte[] data)`
`static PingReply`
PingReply.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingReply`
PingReply.`parseFrom(com.google.protobuf.ByteString data)`
`static PingReply`
PingReply.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingReply`
PingReply.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static PingReply`
PingReply.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingReply`
PingReply.`parseFrom(InputStream input)`
`static PingReply`
PingReply.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingReply`
PingReply.`parseFrom(ByteBuffer data)`
`static PingReply`
PingReply.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PingReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`ping(PingRequest request)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type PingReply
Modifier and Type
Method
Description
`com.google.protobuf.Parser<PingReply>`
PingReply.`getParserForType()`
`static io.grpc.MethodDescriptor<PingRequest,PingReply>`
DhfsObjectSyncGrpcGrpc.`getPingMethod()`
`static com.google.protobuf.Parser<PingReply>`
PingReply.`parser()`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpc.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpcBean.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpcClient.`ping(PingRequest request)`
`com.google.common.util.concurrent.ListenableFuture<PingReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`ping(PingRequest request)`
Methods in com.usatiuk.dhfs.repository with parameters of type PingReply
Modifier and Type
Method
Description
`PingReply.Builder`
PingReply.Builder.`mergeFrom(PingReply other)`
`static PingReply.Builder`
PingReply.`newBuilder(PingReply prototype)`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type PingReply
Modifier and Type
Method
Description
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`

## Uses of PingReply in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return types with arguments of type PingReply
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<PingReply>`
RemoteObjectServiceServer.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
RemoteObjectServiceServerImpl.`ping(PeerId from, PingRequest request)`